package intrinsic.mx.managers;

public class PopUpManager extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public PopUpManager() {
}


/** Static Methods */
public static native void addPopUp(intrinsic.mx.core.IFlexDisplayObject arg0, intrinsic.flash.display.DisplayObject arg1);
public static native void addPopUp(intrinsic.mx.core.IFlexDisplayObject arg0, intrinsic.flash.display.DisplayObject arg1, boolean arg2);
public static native void addPopUp(intrinsic.mx.core.IFlexDisplayObject arg0, intrinsic.flash.display.DisplayObject arg1, boolean arg2, String arg3);
public static native intrinsic.mx.core.IFlexDisplayObject createPopUp(intrinsic.flash.display.DisplayObject arg0, intrinsic.Class arg1);
public static native intrinsic.mx.core.IFlexDisplayObject createPopUp(intrinsic.flash.display.DisplayObject arg0, intrinsic.Class arg1, boolean arg2);
public static native intrinsic.mx.core.IFlexDisplayObject createPopUp(intrinsic.flash.display.DisplayObject arg0, intrinsic.Class arg1, boolean arg2, String arg3);
public static native void centerPopUp(intrinsic.mx.core.IFlexDisplayObject arg0);
public static native void removePopUp(intrinsic.mx.core.IFlexDisplayObject arg0);
public static native void bringToFront(intrinsic.mx.core.IFlexDisplayObject arg0);

/** Methods */

}
